Subject: [Roll] Nit: to be confirmed or to be defined or to be assigned... by IANA?

From: Alexandru Petrescu <[email-masked]>
Date: Sun, 25 Jul 2010 02:10:53 +0200

> The RPL Control message is an ICMPv6 information message with a
> requested Type of 155 (to be confirmed by IANA).

I would be more attentive here.  I see IANA as somebody one has to ask
gently to obtain, not somebody to confirm a personal decision (be that a
WG decision).

155 may be the value you see now available but how about next next
Monday?  Maybe someone at IETF has already got that 155 for their ICMP
extension... and knowing 6lowpan, autoconf and IPv6 wg are all active in
this area... I wouldn't be so sure.

Thus I'd just say

Type
       TBA by IANA

In this way when IANA needs to assign it scans the document for the
'IANA'  document, if they have time enough.  I think they'd rather
prefer all concentrated in the IANA section, but that changes with time.

I think it's good to _not_ say 155, but TBA, and have all these TBAs in
one place.

I think there are more particular IANA preferences... or you may already
know them all and have written "to be confirmed by IANA" knowing already
their preferences - sorry if so.

Alex

---

From: JP Vasseur <[email-masked]>
Date: Sun, 25 Jul 2010 10:33:38 +0200

Hi Alex,

You are correct that IANA is the only one having the authority to  
assign protocol
number. Still it is a common practice to propose a value so that  
implementers
can start implementing and interoperate. In the example of RPL, this  
allowed
two interoperability tests in the past. This numbers are subject to  
change (this
is why you have always the mention "to be confirmed by IANA").

JP.

On Jul 25, 2010, at 2:10 AM, Alexandru Petrescu wrote:

> _______________________________________________
> Roll mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/roll

---

From: Alexandru Petrescu <[email-masked]>
Date: Sun, 25 Jul 2010 10:40:26 +0200

Le 25/07/2010 10:33, JP Vasseur a écrit :
> assign protocol number. Still it is a common practice to propose a
> value so that implementers can start implementing and interoperate.
> In the example of RPL, this allowed two interoperability tests in the
> past. This numbers are subject to change (this is why you have always
> the mention "to be confirmed by IANA").

I disagree - it is not a good practice.  IT makes change very difficult 
later: one has to search throughout the document for 155, for the old 
155, for the new 155, etc. and often this search has to be performed by 
IANA which has not written the document i'ts more work for them

This kind of glitches gets into documents very easily and stays in RFC...

Alex

>> I would be more attentive here. I see IANA as somebody one has to
>> ask gently to obtain, not somebody to confirm a personal decision
>> (be that a WG decision).
>>
>> Monday? Maybe someone at IETF has already got that 155 for their
>> ICMP extension... and knowing 6lowpan, autoconf and IPv6 wg are all
>> active in this area... I wouldn't be so sure.
>>
>> Thus I'd just say
>>
>> Type TBA by IANA
>>
>> In this way when IANA needs to assign it scans the document for
>> the 'IANA' document, if they have time enough. I think they'd
>> rather prefer all concentrated in the IANA section, but that
>> changes with time.
>>
>> I think it's good to _not_ say 155, but TBA, and have all these
>> TBAs in one place.
>>
>> I think there are more particular IANA preferences... or you may
>> already know them all and have written "to be confirmed by IANA"
>> knowing already their preferences - sorry if so.
>>
>> Alex
>>
>> _______________________________________________ Roll mailing list
>> [email-masked] https://www.ietf.org/mailman/listinfo/roll
>
>

---

From: JP Vasseur <[email-masked]>
Date: Sun, 25 Jul 2010 11:15:22 +0200

On Jul 25, 2010, at 10:40 AM, Alexandru Petrescu wrote:

> I disagree - it is not a good practice.

Look at the NUMBER of drafts where such a practice is in use.
If you do not specify any number, you cannot test until we are in the  
final stage of the protocol, WHICH is NOT a good practice.
In our case, we managed to perform interop as we were designing the  
protocol, which was very useful.

> IT makes change very difficult later: one has to search throughout  
> the document for 155, for the old 155, for the new 155, etc. and  
> often this search has to be performed by IANA which has not written  
> the document i'ts more work for them
>

---

From: Alexandru Petrescu <[email-masked]>
Date: Sun, 25 Jul 2010 11:30:24 +0200

Le 25/07/2010 11:15, JP Vasseur a écrit :
>>> assign protocol number. Still it is a common practice to propose
>>> a value so that implementers can start implementing and
>>> interoperate. In the example of RPL, this allowed two
>>> interoperability tests in the past. This numbers are subject to
>>> change (this is why you have always the mention "to be confirmed
>>> by IANA").
>>
> Look at the NUMBER of drafts where such a practice is in use. If you
> do not specify any number, you cannot test until we are in the final
> stage of the protocol,

YEs you can - use a locally defined number in lab, not even need to
inform IETF.  Or write an EXPERIMENTAL draft about that number, without
informing IANA.

When you ask me to look at the number of drafts where such a practice is
in use - maybe I already looked. I am speaking from my own experience of
implementing such drafts.  This experience may or may not be useful here.

Did you ask somebody else whether it's good to have that '155' there?
Or whether it is good to say in doc anything else than TBA prior to IANA
assignment?  Maybe we should ask somebody from IANA to advice.  My
experience has been reported.

> WHICH is NOT a good practice. In our case, we managed to perform
> interop as we were designing the protocol, which was very useful.

WEll you did, which is good.  But I'd refrain from the tendency of 
telling IANA "we interoped with 155 so please confirm it" - I'd rather 
say "IANA, we used some magic number - what would you assign for me? TBA".

Alex

>> often this search has to be performed by IANA which has not
>> written the document i'ts more work for them
>>
>>>>> The RPL Control message is an ICMPv6 information message
>>>>> with a requested Type of 155 (to be confirmed by IANA).
>>>>
>>>> I would be more attentive here. I see IANA as somebody one has
>>>> to ask gently to obtain, not somebody to confirm a personal
>>>> decision (be that a WG decision).
>>>>
>>>> 155 may be the value you see now available but how about next
>>>> next Monday? Maybe someone at IETF has already got that 155
>>>> for their ICMP extension... and knowing 6lowpan, autoconf and
>>>> IPv6 wg are all active in this area... I wouldn't be so sure.
>>>>
>>>> Thus I'd just say
>>>>
>>>> Type TBA by IANA
>>>>
>>>> I think there are more particular IANA preferences... or you
>>>> may already know them all and have written "to be confirmed by
>>>> IANA" knowing already their preferences - sorry if so.
>>>>
>>>> Alex
>>>>
>>>> _______________________________________________ Roll mailing
>>>> list [email-masked] https://www.ietf.org/mailman/listinfo/roll
>>>
>>>
>>
>
>